Bug 844154 - Review Request: libmatekeyring - Framework for managing passwords and other secrets
Review Request: libmatekeyring - Framework for managing passwords and other s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MATE-DE-tracker mate-keyring
  Show dependency treegraph
 
Reported: 2012-07-29 08:49 EDT by Wolfgang Ulbrich
Modified: 2016-08-14 12:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-07-29 08:49:41 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/libmatekeyring.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/libmatekeyring-1.4.0-5.fc17.src.rpm
Description: libmatekeyring is a program that keep password and other secrets for
users. The library libmatekeyring is used by applications to integrate
with the libmatekeyring system.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-01 14:13:49 EDT
first scratch build for a starting point

http://koji.fedoraproject.org/koji/taskinfo?taskID=4347023

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/libmatekeyring-1.4.0-6.fc18.src.rpm

[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.src/libmatekeyring.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring.x86_64: E: incorrect-fsf-address /usr/share/doc/libmatekeyring-1.4.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.
(none): E: no installed packages by name /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) libmate -> lib mate, lib-mate, liberate
libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US libmate -> lib mate, lib-mate, liberate
libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring-memory.h
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring-result.h
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring.h
1 packages and 0 specfiles checked; 3 errors, 4 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-debuginfo-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-utils.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-result.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-private.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.h
1 packages and 0 specfiles checked; 21 errors, 0 warnings.


I notice upstream about incorrect-fsf-address

https://github.com/mate-desktop/libmatekeyring/issues/2
Comment 2 Wolfgang Ulbrich 2012-08-01 14:14:16 EDT
first scratch build for a starting point

http://koji.fedoraproject.org/koji/taskinfo?taskID=4347023

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-conf.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/libmatekeyring-1.4.0-6.fc18.src.rpm

[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.src/libmatekeyring.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring.x86_64: E: incorrect-fsf-address /usr/share/doc/libmatekeyring-1.4.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.
(none): E: no installed packages by name /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-devel-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) libmate -> lib mate, lib-mate, liberate
libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US libmate -> lib mate, lib-mate, liberate
libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring-memory.h
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring-result.h
libmatekeyring-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-keyring-1/mate-keyring.h
1 packages and 0 specfiles checked; 3 errors, 4 warnings.
[rave@mother ~]$ rpmlint /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-debuginfo-1.4.0-6.fc18.x86_64.rpm 
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-utils.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.c
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-result.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-private.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.h
libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.h
1 packages and 0 specfiles checked; 21 errors, 0 warnings.


I notice upstream about incorrect-fsf-address

https://github.com/mate-desktop/libmatekeyring/issues/2
Comment 3 Wolfgang Ulbrich 2012-08-01 14:19:05 EDT
Oops, wrong spec file


first scratch build for a starting point
 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4347023
 
SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/libmatekeyring.spec
 
SRPM:
http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/libmatekeyring-1.4.0-
 6.fc18.src.rpm
 
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.
 0-6.fc18.src/libmatekeyring.spec 
 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.
 0-6.fc18.src.rpm 
 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-1.4.
 0-6.fc18.x86_64.rpm 
 libmatekeyring.x86_64: E: incorrect-fsf-address
 /usr/share/doc/libmatekeyring-1.4.0/COPYING
 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-
 devel-1.4.0-6.fc18.
 (none): E: no installed packages by name
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-
 devel-1.4.0-6.fc18.
 0 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-
 devel-1.4.0-6.fc18.x86_64.rpm 
 libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) libmate -> lib
 mate, lib-mate, liberate
 libmatekeyring-devel.x86_64: W: spelling-error Summary(en_US) keyring ->
 keying, key ring, key-ring
 libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US libmate
 -> lib mate, lib-mate, liberate
 libmatekeyring-devel.x86_64: W: spelling-error %description -l en_US keyring
 -> keying, key ring, key-ring
 libmatekeyring-devel.x86_64: E: incorrect-fsf-address
 /usr/include/mate-keyring-1/mate-keyring-memory.h
 libmatekeyring-devel.x86_64: E: incorrect-fsf-address
 /usr/include/mate-keyring-1/mate-keyring-result.h
 libmatekeyring-devel.x86_64: E: incorrect-fsf-address
 /usr/include/mate-keyring-1/mate-keyring.h
 1 packages and 0 specfiles checked; 3 errors, 4 warnings.
 [rave@mother ~]$ rpmlint
 /media/Jackass/Downloads/fc16/Mate/libmatekeyring/1.4.0-6/libmatekeyring-
 debuginfo-1.4.0-6.fc18.x86_64.rpm 
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-dbus.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-misc.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-libgcrypt.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-utils.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-operation.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-callback.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/gkr-session.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.c
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-result.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-private.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/library/mate-keyring-memory.h
 libmatekeyring-debuginfo.x86_64: E: incorrect-fsf-address
 /usr/src/debug/libmatekeyring-1.4.0/egg/egg-secure-memory.h
 1 packages and 0 specfiles checked; 21 errors, 0 warnings.
 
 
 I notice upstream about incorrect-fsf-address
 
 https://github.com/mate-desktop/libmatekeyring/issues/2
Comment 5 Mario Blättermann 2012-08-01 14:29:48 EDT
Please be patient if somebody picks up your review request ;)

Here are my comments (based on your first package version):

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4348747

Interesting stuff from rpmlint (not the whole output):

$ rpmlint -i -v *
libmatekeyring.i686: I: checking
libmatekeyring.i686: I: checking-url http://pub.mate-desktop.org (timeout 10 seconds)
libmatekeyring.i686: E: incorrect-fsf-address /usr/share/doc/libmatekeyring-1.4.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatekeyring.src: I: checking
libmatekeyring.src: I: checking-url http://pub.mate-desktop.org (timeout 10 seconds)
libmatekeyring.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 5)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.


The old FSF address refers to almost all source files which have a license header, and the COPYING file itself. Not a review blocker, but worth to inform the upstream developers.

To use either spaces or tabs leads to better readability of the spec file, independent from the tab width in ones text editor. I recommend to use spaces, as given from the rpmdev-newspec tool.


One more issue:

%doc %{_datadir}/gtk-doc/

The -devel package owns the folder /usr/share/gtk-doc/html, which is a problem, because it is already owned by the gtk-doc package. Change this line to

%doc %{_datadir}/gtk-doc/html/*
Comment 6 Wolfgang Ulbrich 2012-08-01 18:27:49 EDT
Thank you Mario for doing the review.
I've add you hints to a new package.

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/libmatekeyring.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/libmatekeyring-1.4.0-7.fc18.src.rpm

%changelog
* Wed Aug 01 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- fix gtk-doc directory path in -devel

* Wed Aug 01 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- fix rpmlint errors
- initial build for fedora

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - libmatekeyring-1.1.0-1
- libmatekeyring.spec based on libgnome-keyring-2.32.0-2.fc14 spec
Comment 9 Wolfgang Ulbrich 2012-08-01 18:34:36 EDT
forget the last comment, my fault
Comment 10 Mario Blättermann 2012-08-02 14:21:50 EDT
Nothing of interest anymore from rpmlint (based on your newest scratch build).

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+ and LGPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ sha256sum *
    454c2c8ab6dc474314abced78c3ff97f57368e93a5231e71acbd3cec9354890b  libmatekeyring-1.4.0.tar.xz
    454c2c8ab6dc474314abced78c3ff97f57368e93a5231e71acbd3cec9354890b  libmatekeyring-1.4.0.tar.xz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[+] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[+] MUST: devel packages must require the base package using a fully versioned
dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[.] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

--------------------------------------

PACKAGE APPROVED

--------------------------------------
Comment 11 Wolfgang Ulbrich 2012-08-02 14:33:13 EDT
thank you Mario.
Comment 12 Jon Ciesla 2012-08-02 15:12:56 EDT
Please include an SCM request.

http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 13 Wolfgang Ulbrich 2012-08-02 15:13:54 EDT
New Package SCM Request
=======================
Package Name: libmatekeyring
Short Description: Framework for managing passwords and other 
Owners: raveit65 vicodan
Branches: f16 f17
InitialCC:
Comment 14 Wolfgang Ulbrich 2012-08-02 15:31:53 EDT
(In reply to comment #12)
> Please include an SCM request.
> 
> http://fedoraproject.org/wiki/Package_SCM_admin_requests

soory, hope that i now do all good
Comment 15 Jon Ciesla 2012-08-02 15:34:13 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-08-03 09:07:45 EDT
libmatekeyring-1.4.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmatekeyring-1.4.0-7.fc17
Comment 17 Fedora Update System 2012-08-03 12:04:58 EDT
libmatekeyring-1.4.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmatekeyring-1.4.0-8.fc16
Comment 18 Fedora Update System 2012-08-05 17:32:11 EDT
libmatekeyring-1.4.0-8.fc16 has been pushed to the Fedora 16 testing repository.
Comment 19 Fedora Update System 2012-08-13 20:59:53 EDT
libmatekeyring-1.4.0-8.fc16 has been pushed to the Fedora 16 stable repository.
Comment 20 Fedora Update System 2012-08-13 21:00:46 EDT
libmatekeyring-1.4.0-7.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.